Bug 430831 - Wrong mimetype in .desktop entry
Wrong mimetype in .desktop entry
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: isomaster (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcin Zajaczkowski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-29 19:25 EST by Ignacio Vazquez-Abrams
Modified: 2008-02-25 19:24 EST (History)
0 users

See Also:
Fixed In Version: 1.3.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 19:22:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch against desktop file (524 bytes, patch)
2008-01-30 15:45 EST, Ignacio Vazquez-Abrams
no flags Details | Diff
Patch against spec file (1.00 KB, patch)
2008-01-30 15:46 EST, Ignacio Vazquez-Abrams
no flags Details | Diff

  None (edit)
Description Ignacio Vazquez-Abrams 2008-01-29 19:25:09 EST
isomaster contains the value of application/x-iso in its desktop entry, but
nautilus uses application/x-cd-image.
Comment 1 Marcin Zajaczkowski 2008-01-30 15:18:24 EST
Thanks for your report.
I don't use Nautilus very often and I didn't know about that. I can fix that,
but do you think it is so important to make an actualization right now or it
could wait until next major isomaster update?
Comment 2 Ignacio Vazquez-Abrams 2008-01-30 15:45:45 EST
Created attachment 293482 [details]
Patch against desktop file
Comment 3 Ignacio Vazquez-Abrams 2008-01-30 15:46:21 EST
Created attachment 293484 [details]
Patch against spec file
Comment 4 Marcin Zajaczkowski 2008-01-31 18:15:33 EST
Thanks for your patches, but my question was rather about your opinion if you
think it's so important enhancement that a new update should be generated for
Fedora users (without major isomaster version update)?
Comment 5 Marcin Zajaczkowski 2008-02-03 12:30:29 EST
I have a little problem to make it work. It was also required to add %f to exec
command and call update-desktop-database to see changes. Hopefully I have found
very useful document:
http://fedoraproject.org/wiki/NewMIMESystem

A new version is available in a rawhide (1.3-2 - fell free to test it). The
author said there will be a new version of ISO Master soon, so I will wait with
update in branches till then.
Comment 6 Fedora Update System 2008-02-06 15:35:53 EST
isomaster-1.3.1-1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-02-12 23:56:34 EST
isomaster-1.3.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update isomaster'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1479
Comment 8 Fedora Update System 2008-02-25 19:22:56 EST
isomaster-1.3.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-02-25 19:24:08 EST
isomaster-1.3.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.